Bug 197676

Summary: NbBundle.branding sometimes changed to 'test'
Product: editor Reporter: Jesse Glick <jglick>
Component: Hints & AnnotationsAssignee: Jan Lahoda <jlahoda>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: mmirilovic
Version: 7.0Keywords: REGRESSION
Target Milestone: 7.0.1   
Hardware: PC   
OS: Linux   
Whiteboard: 70patch1-verified
Issue Type: DEFECT Exception Report:
Bug Depends on:    
Bug Blocks: 195703    

Description Jesse Glick 2011-04-12 20:20:42 UTC
For some time I have noticed that occasionally when using the IDE, the main window title displays "NetBeans Platform ..." rather than "NetBeans IDE ..." (with optional project name). I finally used jrunscript to determine that NbBundle.branding in this case is "test", not "nb". Grepping sources for setBranding turns up 8beca9051487 as the culprit, though I cannot fathom why this code would be setting the IDE's branding.
Comment 1 Quality Engineering 2011-04-14 08:38:08 UTC
Integrated into 'main-golden', will be available in build *201104140401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f9032797d47b
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #197676: not setting the "test" branding in production code (mistake made in 8beca9051487).
Comment 2 Jaromir Uhrik 2011-05-16 20:35:57 UTC
Verified. The test branding has been removed in the production code.
Comment 3 Jan Lahoda 2011-05-17 12:13:16 UTC
Applied to release70_fixes:
http://hg.netbeans.org/releases/rev/c3f33b7a0dc3
Spec. versions and long descriptions updated:
http://hg.netbeans.org/releases/rev/ab821ef74098
Comment 4 Jaromir Uhrik 2011-05-20 08:07:56 UTC
Verified in patch1 the same way as in trunk.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo